﻿using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace PopupShowSample
{
    public partial class MainPage : ContentPage
    {
        Switch dynamicSwitcher;
        public MainPage()
        {
            InitializeComponent();

            dynamicSwitcher = new Switch();
            dynamicSwitcher.HorizontalOptions = LayoutOptions.Center;
        }
        
        private void button1_Clicked(object sender, EventArgs e)
        {
            DataTemplate templateView = new DataTemplate(() =>
            {
                StackLayout stackLayout = new StackLayout();
                stackLayout.Orientation = StackOrientation.Vertical;

                Switch switcher1 = new Switch();
                switcher1.IsEnabled = true;
                switcher1.HorizontalOptions = LayoutOptions.Center;

                Switch switcher2 = new Switch();
                switcher2.HorizontalOptions = LayoutOptions.Center;

                Switch switcher3 = new Switch();
                switcher3.HorizontalOptions = LayoutOptions.Center;
                
                Switch switcher4 = new Switch();
                switcher4.IsEnabled = true;
                switcher4.HorizontalOptions = LayoutOptions.Center;

                stackLayout.Children.Add(switcher1);
                stackLayout.Children.Add(switcher2);
                stackLayout.Children.Add(switcher3);
                stackLayout.Children.Add(switcher4);
    
                return stackLayout;
            });

            popupLayout.PopupView.ContentTemplate = templateView;
            popupLayout.Show();
        }

        private void button2_Clicked(object sender, EventArgs e)
        {
            DataTemplate templateView = new DataTemplate(() =>
            {
                StackLayout stackLayout = new StackLayout();
                stackLayout.Orientation = StackOrientation.Vertical;

                Label label1 = new Label();
                label1.Text = "List";
                label1.HorizontalOptions = LayoutOptions.Center;

                Switch switcher1 = new Switch();
                switcher1.IsEnabled = true;
                switcher1.HorizontalOptions = LayoutOptions.Center;

                Label label2 = new Label();
                label2.Text = "Grid";
                label2.HorizontalOptions = LayoutOptions.Center;
                
                stackLayout.Children.Add(label1);
                stackLayout.Children.Add(switcher1);
                stackLayout.Children.Add(label2);
                stackLayout.Children.Add(dynamicSwitcher);
               
                return stackLayout;
            });

            popupLayout.PopupView.ContentTemplate = templateView;
            popupLayout.Show();
        }

        private void button3_Clicked(object sender, EventArgs e)
        {
            dynamicSwitcher.IsEnabled = false;
        }
    }
}